Check top-up status
POST/accounts/{account_id}/ai-gateway/billing/topup/status
Get the payment processing status of a top-up by its invoice ID.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Check top-up status
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/billing/topup/status \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"payment_intent_id": "in_1abc"
}'{
"errors": [
{
"code": 0,
"message": "message"
}
],
"messages": [
{
"code": 0,
"message": "message"
}
],
"result": {
"payment_intent_id": "payment_intent_id",
"status": "completed"
},
"success": true,
"result_info": {
"has_more": true,
"page": 0,
"per_page": 0,
"total_count": 0
}
}Returns Examples
{
"errors": [
{
"code": 0,
"message": "message"
}
],
"messages": [
{
"code": 0,
"message": "message"
}
],
"result": {
"payment_intent_id": "payment_intent_id",
"status": "completed"
},
"success": true,
"result_info": {
"has_more": true,
"page": 0,
"per_page": 0,
"total_count": 0
}
}